function Controller() {
    require("alloy/controllers/BaseController").apply(this, Array.prototype.slice.call(arguments));
    this.__controllerPath = "index";
    arguments[0] ? arguments[0]["__parentSymbol"] : null;
    arguments[0] ? arguments[0]["$model"] : null;
    arguments[0] ? arguments[0]["__itemTemplate"] : null;
    var $ = this;
    var exports = {};
    $.__views.win = Ti.UI.createWindow({
        id: "win",
        backgroundColor: "#13386c"
    });
    $.__views.win && $.addTopLevelView($.__views.win);
    $.__views.svDashboard = Ti.UI.createScrollView({
        id: "svDashboard",
        top: "200",
        width: "320",
        height: "400"
    });
    $.__views.win.add($.__views.svDashboard);
    exports.destroy = function() {};
    _.extend($, $.__views);
    var button = Ti.UI.createButton({
        title: "Edit",
        style: Ti.UI.iPhone.SystemButtonStyle.DONE
    });
    var toolbar = Ti.UI.iOS.createToolbar({
        items: [ button ],
        top: 0
    });
    $.win.add(toolbar);
    var label = Ti.UI.createLabel({
        color: "white",
        font: {
            fontSize: 14
        },
        text: "Click an item to reset badge\nPress and hold an item to enable edit mode",
        textAlign: Ti.UI.TEXT_ALIGNMENT_CENTER,
        top: 55,
        height: 40,
        width: 300
    });
    $.win.add(label);
    var dashboardData = [];
    var itemData = [ {
        text: "Book a car",
        name: "bookCar",
        badge: 10
    }, {
        text: "My booking",
        name: "myBooking",
        badge: 2
    }, {
        text: "Repeat booking",
        name: "repeatBooking",
        badge: 2
    }, {
        text: "Avis preferred",
        name: "avisPreferred",
        badge: 5
    }, {
        text: "Customer service",
        name: "customerCare"
    }, {
        text: "My settings",
        name: "mySettings"
    }, {
        text: "Book a van",
        name: "bookVan",
        badge: 3
    } ];
    for (var i = 0, ilen = itemData.length; ilen > i; i++) {
        var item = Ti.UI.createDashboardItem({
            badge: itemData[i].badge,
            width: 80,
            height: 80,
            image: "/images/dashboard/" + itemData[i].name + ".png"
        });
        var container = Titanium.UI.createView({
            layout: "vertical",
            backgroundColor: "transparent",
            width: 70,
            height: 70,
            touchEnabled: "false"
        });
        var image = Titanium.UI.createImageView({
            image: "/images/dashboard/" + itemData[i].name + ".png",
            top: 5,
            width: 35,
            height: 35,
            touchEnabled: "false"
        });
        container.add(image);
        var label = Titanium.UI.createLabel({
            text: itemData[i].text,
            wordWrap: false,
            top: 0,
            width: 60,
            height: 35,
            touchEnabled: "false",
            textAlign: "center",
            color: "#ffffff",
            font: {
                fontSize: "12",
                fontFamily: "AvenirNext-Ultralight"
            }
        });
        container.add(label);
        item.add(container);
        dashboardData.push(item);
    }
    var dashboard = Ti.UI.createDashboardView({
        data: dashboardData,
        width: 320,
        height: 500,
        wobble: true,
        top: 0,
        columnCount: 4
    });
    $.svDashboard.add(dashboard);
    var isEditable = false;
    button.addEventListener("click", function() {
        isEditable ? dashboard.stopEditing() : dashboard.startEditing();
    });
    dashboard.addEventListener("edit", function() {
        button.title = "Done";
        button.style = Ti.UI.iPhone.SystemButtonStyle.DONE;
        isEditable = true;
    });
    dashboard.addEventListener("commit", function() {
        button.title = "Edit";
        button.style = Ti.UI.iPhone.SystemButtonStyle.PLAIN;
        isEditable = false;
    });
    dashboard.addEventListener("click", function(e) {
        Ti.API.info("Click event: " + JSON.stringify(e.item));
        e.item.badge = 0;
    });
    $.win.open();
    _.extend($, exports);
}

var Alloy = require("alloy"), Backbone = Alloy.Backbone, _ = Alloy._;

module.exports = Controller;