var button = Ti.UI.createButton({
    title: 'Edit',
    style: Ti.UI.iPhone.SystemButtonStyle.DONE,
});

var toolbar = Ti.UI.iOS.createToolbar({
    items:[button],
    top: 0
});
$.win.add(toolbar);

var label = Ti.UI.createLabel({
  color: 'white',
  font: { fontSize: 14 },
  text: 'Click an item to reset badge\nPress and hold an item to enable edit mode',
  textAlign: Ti.UI.TEXT_ALIGNMENT_CENTER,
  top: 55,
  height: 40,
  width: 300
});
$.win.add(label);

var dashboardData = [];
var itemData = [
  { text : 'Book a car', name: 'bookCar', badge: 10 },
  { text : 'My booking', name: 'myBooking', badge: 2 },
  { text : 'Repeat booking', name: 'repeatBooking', badge: 2 },
  { text : 'Avis preferred', name: 'avisPreferred', badge: 5},
  { text : 'Customer service', name: 'customerCare' }, 
  { text : 'My settings', name: 'mySettings' },
  { text : 'Book a van', name: 'bookVan', badge: 3 }
];

for (var i=0, ilen=itemData.length; i<ilen; i++){
  var item = Ti.UI.createDashboardItem({
  	//layout:"vertical",
  	badge: itemData[i].badge,
    width : 80,
    height : 80,
    image : '/images/dashboard/' + itemData[i].name + '.png',
    //image: '/dashboard/' + itemData[i].name + '_off.png',
    //selectedImage: '/dashboard/' + itemData[i].name + '_on.png',
    //label: itemData[i].text
  });
  
  // Container view for hold the image and label
  var container = Titanium.UI.createView({
        layout:"vertical",
        backgroundColor:"transparent",
        //top : 10,  // by setting top we can almost get the "x" in top-left
        width : 70,
    	height : 70,
    	touchEnabled : "false"
    });
    var image = Titanium.UI.createImageView({
    	image : '/images/dashboard/' + itemData[i].name + '.png',
        top : 5,
        width : 35,
        height : 35,
        touchEnabled : "false"
    });
    container.add(image);
    
    var label = Titanium.UI.createLabel({
        text : itemData[i].text,
        wordWrap : false,
        top : 0,
        width :60,
        height :35,
        touchEnabled : "false",
        textAlign : "center",
        color :"#ffffff",
        font : {
			fontSize : "12",
			fontFamily: "AvenirNext-Ultralight"
		}
    });
    container.add(label);
    // adding container view to the dashboardItem
    item.add(container);
  
  dashboardData.push(item);
}

var dashboard = Ti.UI.createDashboardView({
  data: dashboardData,
  width: 320,
  height: 500,
  wobble: true,
  top: 0,
  //rowCount: 3,
  columnCount: 4
});
$.svDashboard.add(dashboard);

var isEditable = false;

button.addEventListener('click', function(e){
  if(isEditable){
    dashboard.stopEditing();
  } else {
    dashboard.startEditing();
  }
});

dashboard.addEventListener('edit',function(e){
  button.title = 'Done';
  button.style = Ti.UI.iPhone.SystemButtonStyle.DONE;
  isEditable = true;
});

dashboard.addEventListener('commit',function(e){
  button.title = 'Edit';
  button.style = Ti.UI.iPhone.SystemButtonStyle.PLAIN;
  isEditable = false;
});

dashboard.addEventListener('click', function(e){
  Ti.API.info("Click event: " + JSON.stringify(e.item));
  e.item.badge = 0;
});

$.win.open();